function OutImg=funTV(InImg, TVscale, lam)
[nyO, nxO,~]= size(InImg); 

InImg= imresize(InImg, TVscale);

%%% Parametros
std_n=.01*255; var_n=std_n^2;  % Potencia de ruido
reduced_pw =1.5*var_n;   % Potencia a reducir
iter=25; dt=0.01; ep=.01; ep_J=0.2*255;

%%% Procesado por canales
for ch=1:size(InImg,3)
    InImgch=InImg(:,:,ch);
    J=InImgch; J_old=0;
    % run normal tvdenoising
    %while (mean(mean(abs(J - J_old))) > ep_J),  % Iterar hasta el valor de paro
        J_old=J;
        J=tv(J,iter,dt,ep,lam,InImgch); % scalar lam                
    %end        
    OutImg(:,:,ch)=J;
end
OutImg= imresize(OutImg,[nyO, nxO] );